From ec66d11dc4c65e3f1dc083c020f04a1b3f7fb9b3 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 01 2020 05:56:01 +0000
Subject: [PATCH 1137/2232] Split detection and writing of builtins


---

diff --git a/gen/src/write.rs b/gen/src/write.rs
index e638410..a0bafc2 100644
--- a/gen/src/write.rs
+++ b/gen/src/write.rs
@@ -27,6 +27,7 @@ pub(super) fn gen<'a>(apis: &[Api], types: &'a Types, opt: &Opt, header: bool) -
 
     write_includes(out);
     write_include_cxxbridge(out, apis);
+    write_builtins(out);
 
     out.next_section();
 
@@ -251,7 +252,9 @@ fn write_include_cxxbridge(out: &mut OutFile, apis: &[Api]) {
             _ => {}
         }
     }
+}
 
+fn write_builtins(out: &mut OutFile) {
     out.begin_block("namespace rust");
     out.begin_block("inline namespace cxxbridge05");
 

